define([
    'jquery'
], function ($) {
    'use strict';

    $.widget('filoblu.whatsappWidget', {
        options: {
			widgetPosition: "50%"
        },

        _create: function () {

            var self = this;
            var widgetPosition = self.options.widgetPosition;

            var elem_hovered = self.element.context.classList;
            var $_elem = $("." + elem_hovered.value );

            mediaCheck({
                media: '(min-width: 992px)',
                entry: $.proxy(function () {

                    var labelHeight = $_elem.find(".whatsapp-label").outerHeight(true);
                    var initialHeight = $_elem.find(".whatsapp-icon-container").outerHeight(true);

                    $_elem.css('top', widgetPosition);

                    if( elem_hovered.length > 0 && elem_hovered == "whatsapp-hoverlabel" ) {
                        $_elem.hover(
                            function(){
                                $(this)
                                    .addClass('hover')
                                    .find(".whatsapp-button-wrapper").animate({height: labelHeight + initialHeight}, 100);
                            },
                            function(){
                                $(this)
                                    .removeClass('hover')
                                    .find(".whatsapp-button-wrapper").animate({height: initialHeight}, 100);
                            }
                        )

                    }
                }, this)
            });

        }
    });

    return $.filoblu.whatsappWidget;
});
